Subject: Re: binutils 20021107-2
From: Tim Prince <[email-masked]>
To: Robert Collins <[email-masked]>, Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Sat, 9 Nov 2002 19:31:38 -0800

On Saturday 09 November 2002 15:45, Robert Collins wrote:
> On Sun, 2002-11-10 at 05:58, Charles Wilson wrote:
> > Christopher Faylor wrote:
> > > Shouldn't there be a few more entries in this list, like libmingwex,
> > > libmingwthrd, libmsvcrt (maybe).  I don't know if any of those
> > > libraries have globals that could be erroneously exported but doesn't
> > > it pay to be safe?
> >
> > libmingwex -- maybe.  I dunno -- that's for Danny and/or Earnie to say.
> >   You really only need library-name based protection for static libs;
> > symbols in import libs are protected from re-export by symbol-exclude
> > lists (_nm_*,__imp__*, etc).  libmsvcrt, libmingwthrd -- no (because
> > they are implibs).
>
> A light just went on. We could use a "exclude system archive" flag -
> dont' export symbols originating from libraries in /usr/local/lib/* or
> /usr/lib/* ( and possibly the gcc lib dir as well - although I think
> that is a spec thing, as it's gcc's decision to have the library given a
> certain name).
>
g77 now tries to link against mingw runtime, as gcc -pg did previously.  Even 
though I had un-installed mingw, the new installation re-installed it.
-- 
Tim Prince

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/